de.vc.jfo.rtf

## Class FieldInfo

- java.lang.Object
- - de.vc.jfo.rtf.FieldInfo

- All Implemented Interfaces:
    java.lang.Cloneable

      public class FieldInfo
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldInfo(FieldInstructionToken[] instruction, FormattingObject[] defaultResult)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `FormattingObject[]` | `getDefaultResult()`
    `java.lang.String` | `getDefaultResultText()`
    `java.lang.String` | `getInstructionText()`
    `java.lang.String` | `getInstructionTextSnippet(int maxLength)`
    `java.lang.String[]` | `getInstructionTextTokens()`
    `FieldInstructionToken[]` | `getInstructionTokens()`
    `FieldInstructionToken` | `getNextInstructionToken(int startIndex, java.lang.String token)`
    `java.lang.String` | `getNextInstructionTokenText(int startIndex, java.lang.String token)` Gets the next instruction token of `token`.
    `boolean` | `hasInstructionToken(java.lang.String t, boolean caseSensitive)` Checks if the field contains token `t`.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldInfo

          public FieldInfo(FieldInstructionToken[] instruction,
                   FormattingObject[] defaultResult)

  - ### Method Detail

    - #### getInstructionTokens

          public FieldInstructionToken[] getInstructionTokens()

    - #### getInstructionTextTokens

          public java.lang.String[] getInstructionTextTokens()

    - #### getInstructionText

          public java.lang.String getInstructionText()

    - #### getDefaultResult

          public FormattingObject[] getDefaultResult()

    - #### getDefaultResultText

          public java.lang.String getDefaultResultText()

    - #### hasInstructionToken

          public boolean hasInstructionToken(java.lang.String t,
                                    boolean caseSensitive)

      Checks if the field contains token `t`.
      Parameters:
        `t` - Token.
        `caseSensitive` - Check case sensitive.
      Returns:
        `true` if field contains `t`.

    - #### getNextInstructionTokenText

          public java.lang.String getNextInstructionTokenText(int startIndex,
                                                     java.lang.String token)

      Gets the next instruction token of `token`.
      Parameters:
        `startIndex` - Start index from that search of `token` is started.
        `token` - Token.
      Returns:
        Token that follows `token` or null if `token` not in instruction.

    - #### getNextInstructionToken

          public FieldInstructionToken getNextInstructionToken(int startIndex,
                                                      java.lang.String token)

    - #### getInstructionTextSnippet

          public java.lang.String getInstructionTextSnippet(int maxLength)

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.